///File : myConf.hpp
//------------------------------------------------------------------------------
/*
    This file is part of MaxiShoot.

    MaxiShoot is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    MaxiShoot is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with MaxiShoot.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#if not defined MY_CONF_HPP_MAXI_SHOOT
#define MY_CONF_HPP_MAXI_SHOOT
//------------------------------------------------------------------------------
/// VSync
#define V_SYNC_IN_GAME 0 // Ralentit trop le jeu ==> Non
#define V_SYNC_IN_MENU 1 // Limite les resources ==> Oui

/// Thread :
#define NO_LOAD_THREAD

/// Debug :
#define USE_DEBUG_FILE 0

#if USE_DEBUG_FILE
    // Pour les variables globales en C++ :
    #ifdef GLOBAL
    #define Global
    #else
    #define Global extern
    #endif

    #define ERROR_FLUX *g_file_debug_flux
    #define INFO_FLUX *g_file_debug_flux

    Global std::ofstream *g_file_debug_flux;
#else // USE_DEBUG_FILE
    #define ERROR_FLUX std::cerr
    #define INFO_FLUX std::cout
#endif

//------------------------------------------------------------------------------
#endif // MY_CONF_HPP_MAXI_SHOOT
